### Function

# Gimp Path get_by_id

since: 3.0

#### Declaration [src]

    GimpPath*
    gimp_path_get_by_id (
      gint32 path_id
    )

#### Description [src]

Returns a `GimpPath` representing `path_id`. This function calls `gimp_item_get_by_id()` and returns the item if it is a path or `NULL` otherwise.

Available since: 3.0

#### Parameters

`path_id`

  Type: `gint32`

  The path id.

#### Return value

Type: `GimpPath`

A `GimpPath` for `path_id` or `NULL` if `path_id` does not represent a valid path. The object belongs to libgimp and you must not modify or unref it.

The data is owned by the called function.
The return value can be `NULL`.